package com.iamberry.wechat.core.entity.customized;

import  java.util.Date;
import  java.io.Serializable;
/**
 *  牙刷定制-纹理表类
 * @author w
 * @Date 2018-05-25
 */
public class CustomizedPattern  implements  Serializable{
    private static final long serialVersionUID = -6233398968985648677L;
    //纹理id
    private Integer patternId;
    //纹理名称
    private String patternName;
    //缩略图
    private String patternThumbnailImg;
    //纹理图片位置
    private String patternImg;
    //纹理使用 1使用中 2未使用
    private Integer patternStatus;
    //创建时间
    private Date patternCreateTime;
    //修改时间'
    private Date patternUpdateTime;

    public Integer getPatternId(){
        return patternId;
    }

    public void setPatternId(Integer  patternId){
        this.patternId=patternId;
    }

    public String getPatternName(){
        return patternName;
    }

    public void setPatternName(String  patternName){
        this.patternName=patternName;
    }

    public String getPatternImg(){
        return patternImg;
    }

    public void setPatternImg(String  patternImg){
        this.patternImg=patternImg;
    }

    public Integer getPatternStatus(){
        return patternStatus;
    }

    public void setPatternStatus(Integer  patternStatus){
        this.patternStatus=patternStatus;
    }

    public Date getPatternCreateTime(){
        return patternCreateTime;
    }

    public void setPatternCreateTime(Date  patternCreateTime){
        this.patternCreateTime=patternCreateTime;
    }

    public Date getPatternUpdateTime(){
        return patternUpdateTime;
    }

    public void setPatternUpdateTime(Date  patternUpdateTime){
        this.patternUpdateTime=patternUpdateTime;
    }

    public String getPatternThumbnailImg() {
        return patternThumbnailImg;
    }

    public void setPatternThumbnailImg(String patternThumbnailImg) {
        this.patternThumbnailImg = patternThumbnailImg;
    }
}